import { Suspense } from 'react';
import Header from './Header';
import { Outlet } from 'react-router-dom';
import Footer from './Footer';
import Fallback from '@/components/Fallback';

function Layout() {
  return (
    <>
      {/* fix w-bg */}
      <Suspense fallback={<Fallback />}>
        <div className="absolute top-0 left-0 w-full bg-primary-foreground -z-10 h-[15vh]"></div>
        <Header />
        <Outlet />
        <Footer />
      </Suspense>
    </>
  );
}
export default Layout;
